Name:           florb

%global forgeurl https://github.com/shugaa/%{name}
%global commit 85d2be7d851f83db8a289fd2018832aec295d526
%forgemeta

Version:        1.1
Release:        0.1%{?dist}
Summary:        A really simple map viewer and GPX editor

License:        MIT
URL:            http://florb.shugaa.de/
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  fltk-fluid
BuildRequires:  omake
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libgps)
BuildRequires:  pkgconfig(tinyxml2)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(yaml-cpp)
BuildRequires:  translate-toolkit

%description
florb is a really simple map viewer and GPX editor written in C++ using the FLTK
UI toolkit. florb makes it easy to create and edit tracks for planning short and
extended trips into the wild green. Or anywhere else for that matter.

Features:

- User configurable tile servers (e.g. OpenStreetMap, Google Maps and many
  others)
- Automatic map dowloading
- Tile cache with metadata storage (expiration date)
- Map overlay support
- GPSd support incl. track recording
- GPX import and export
- Editing of existing GPX tracks
- Creating new GPX tracks through simple point and click
- Up- and download tracks to and from Garmin devices
- Places search (OSM Nominatim)
- Bulk tile download
- View elevation profile for complete track or selected waypoints
- Localization support (German translation)

%prep
%forgeautosetup -p1

%build
cd src
omake %{name} i18nupdate i18ncompile %{?_smp_mflags} DEBUG=1

%install
rm -rf %{buildroot}
pushd src
omake install PREFIX=%{buildroot}%{_prefix}
popd

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE.txt
%doc INSTALL.txt README.txt
%{_bindir}/%{name}

%changelog
* Wed Jul 17 2019 Vadim Raskhozhev <iamdexpl@gmail.com> - 1.1-0.1.20190717git85d2be7
- A fresh snapshot

* Mon Jul 15 2019 Vadim Raskhozhev <iamdexpl@gmail.com> - 1.1-0.0.20190715git43b0ed8
- Initial RPM build
